Method: projects.registrations.topicSubscriptions.delete

Deletes a TopicSubscription.

HTTP request

DELETE https://fcm.googleapis.com/v1/{name=projects/*/registrations/*/topicSubscriptions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the topic subscription to delete. Format: projects/{project}/registrations/{registration}/topicSubscriptions/{topicSubscription}

Query parameters

Parameters
allowMissing

boolean

Optional. If set to true, and the topic subscription is not found, the request will succeed but no action will be taken on the server.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/firebase.messaging
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • cloudmessaging.topicSubscriptions.delete

For more information, see the IAM documentation.